Contents
Index 🔎︎

# Add-in Functions, List of Analysis Functions Part Two

The Add-in functions are supplied by the UNO com.sun.star.sheet.addin.Analysis service.

Ajaja kana bira gahuuf...

Saagi - Dalaga - Akaakuu Idaatuu

## [text/scalc/01/func_imcos.xhp#imcos_head not found].

Returns the cosine of a complex number.

## [text/scalc/01/func_imcosh.xhp#imcosh_head not found].

Returns the hyperbolic cosine of a complex number.

## [text/scalc/01/func_imcot.xhp#imcot_head not found].

Returns the cotangent of a complex number.

## [text/scalc/01/func_imcsc.xhp#imcsc_head not found].

Returns the cosecant of a complex number.

## [text/scalc/01/func_imcsch.xhp#imcsch_head not found].

Returns the hyperbolic cosecant of a complex number.

## [text/scalc/01/func_imsec.xhp#imsec_head not found].

Returns the secant of a complex number.

## [text/scalc/01/func_imsech.xhp#imsech_head not found].

Returns the hyperbolic secant of a complex number.

## [text/scalc/01/func_imsin.xhp#imsin_head not found].

Returns the sine of a complex number.

## [text/scalc/01/func_imsinh.xhp#imsinh_head not found].

Returns the hyperbolic sine of a complex number.

## [text/scalc/01/func_imtan.xhp#imtan_head not found].

Returns the tangent of a complex number.

## CONVERT

Converts a value from one unit of measurement to the corresponding value in another unit of measurement.

## COMPLEX

Firiin isaa lakkoofsa konphileeksi kan kofisheentii riyaalii fi kofisheentii imaajiineerii irraa argame dha.

#### Syntax

COMPLEX(RealNum; INum [; Suffix])

RealNum'n koofisheenti riyaalii lakkoofsa komphileeksiti.

INum'n koofisheenti imaajiineerii lakkoofsa konphileeksiti.

Dursoo'n tarree dirqalaalee , "i" ykn "j".

#### Example

=COMPLEX(3;4;"j") 3+4j kenna.

## FACTDOUBLE

n hirmaata lakkoofsa lama kenna.

#### Syntax

FACTDOUBLE(Lakkoofsa)

Number !! kenna, hirmaata lakkoofsa lam, yemmuu lakkofsii intiijerii irra guddaa ykn walqixaa duwwaa ta'e.

Lakkoofsota guutuuf FACTDOUBLE(n) kenna:

2*4*6*8* ... *n

Lakkoofsota qaraati FACTDOUBLE(n) kennameeti:

1*3*5*7* ... *n

Hikoodhaan FACTDOUBLE(0)n 1 kenna.

#### Example

=FACTDOUBLE(5) 15 kenna.

=FACTDOUBLE(6) 48 kenna.

=FACTDOUBLE(0) 1 kenna.

## IMABS

Firii isaa gatii sirrii lakkoofsa konphileeksii ta'a.

#### Syntax

IMABS("lakkoofsa konphileeksii")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMABS("5+12j")13 kenna.

## IMAGINARY

Firii isaa koofisheentii immaajiineerii lakkoofsa komphileeksiti.

#### Syntax

IMAGINARY("lakkoofsa kompileeksii")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMAGINARY("4+3j") 3 kenna.

## IMARGUMENT

Firii isaa qajeelfama(kofa paayii) lakkoofsa konphileeksiti.

#### Syntax

IMREAL("lakkoofsa kompileeksi")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMARGUMENT("3+4j") 0.927295 kenna.

## IMCONJUGATE

Firiin isaa fallaa kompileeksii konjuugeetii lakkoofsa konphileeksi ta'a.

#### Syntax

IMCONJUGATE("Lakkoofsa komphileeksii")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMCONJUGATE("1+j") 1-j kenna.

## IMDIV

Firii isaa hiramaa lakkoofsa konphileeksii lamaati.

#### Syntax

IMDIV("Gubbayyee"; "jaloo")

Gubbayyee'n, jaloo'n lakkoofsoota kampileeksii bifaa "x+yi" ykn "x+yj" galfamani dha.

#### Example

=IMDIV("-238+240i";"10+24i") 5+12i kenna.

## IMEXP

Firiin e paawoorii fi lakkoofsa kompileeksi dha. Tilmaamaan gatiin dhaabbataa e 2.71828182845904.

#### Syntax

IMSIN("lakkoofsa kompileeksii")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMEXP("1+j") 1.47+2.29j (siksamuun)kenna.

## IMLN

Firiin loogariizimii uumamaa(beezii e'n)lakkoofsa kompileeksiiti. Tilmaamaan gatiin dhaabbataa e 2.71828182845904 ta'a.

#### Syntax

IMLN("lakkoofsa kompileeksii")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMLN("1+j") 0.35+0.79j (siksamuun) kenna.

## IMLOG10

Firiin isaa loogariizimii beekamaa(beezii 10'n) lakkoofsa koompileeksitier.

#### Syntax

IMLOG10("Lakkoofsa komphileeksii")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMLOG10("1+j") 0.15+0.34j (siksamuun) kenna.

## IMLOG2

Firiin loogariizimii lamee lakkoofsa konphileeksiti.

#### Syntax

IMLOG2("Lakkoofsa komphileeksii")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMLOG2("1+j") 0.50+1.13j (siksamuun) kenna.

## IMPOWER

The result is the ComplexNumber raised to the power of Number.

#### Syntax

IMPOWER("lakkoofsa kompileeksii"; Lakkoofsa)

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

Lakkoofsi eeksipooneentii dha.

#### Example

=IMPOWER("2+3i";2) -5+12i kenna.

## IMPRODUCT

The result is the product of a set of complex numbers.

#### Syntax

IMPRODUCT(Complex 1 [; Complex 2 [; … [; Complex 255]]])

Complex 1, Complex 2, … ,Complex 255 are complex numbers, references to cells or to cell ranges of complex numbers. Complex numbers are entered in the form "x+yi" or "x+yj".

#### Example

=IMPRODUCT("3+4j";"5-3j") 27+11j kenna.

## IMREAL

Firii isaa koofisheenti riyaalii lakkoofsa konphileeksiti.

#### Syntax

IMREAL("lakkoofsa konphileeksi")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMREAL("1+3j") 1 kenna.

## IMSQRT

Firii isaa iskuuwerruutti lakkoofsa konphileeksiti.

#### Syntax

IMSQRT("lakkoofsa konphileeksii")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMSQRT("3+4i")2+1i kenna.

## IMSUB

Firii isaa hir'attoo lakkoofsa konphileeksiti.

#### Syntax

IMSUB("lakkoofsa konphileeksii1"; "lakkoofsa konphileeksii2")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMSUB("13+4j";"5+3j") 8+j kenna.

## IMSUM

The result is the sum of a set of complex numbers.

#### Syntax

IMSUM(Complex 1 [; Complex 2 [; … [; Complex 255]]])

Complex 1, Complex 2, … ,Complex 255 are complex numbers, references to cells or to cell ranges of complex numbers. Complex numbers are entered in the form "x+yi" or "x+yj".

#### Example

=IMSUM("13+4j";"5+3j") 18+7j kenna.

## OCT2BIN

Firiin isaa lakkoofsota ooktaalii galfameef lakkoofsota baayineerii ta'a.

#### Syntax

OCT2BIN(Number [; Places])

Lakkoofsa lakkoofsa oktaalii dha.Gatii olaanaa bakkeewwan qadachuu danda'uu 10 dha.Biiin calqaba xiyyoo irra mallattoo biiti taati,biitiiwwan iti aanuun dhufaan gatii kennu.Lakkoofsootni neegaativii akkaa tuuskompiilimeentitti galfamu.

Bakkootni lakkoofsa bakkoota baha ta'uuti.

#### Example

=OCT2BIN(3;3) 011 kenna.

## OCT2DEC

Firiin isaa lakkoofsota oktaalii galfameef lakkoofsota deesiimaalii ta'a..

#### Syntax

OCT2DEC(Lakkoofsa)

Lakkoofsa lakkoofsa oktaalii dha.Gatii olaanaa bakkeewwan qadachuu danda'uu 10 dha.Biiin calqaba xiyyoo irra mallattoo biiti taati,biitiiwwan iti aanuun dhufaan gatii kennu.Lakkoofsootni neegaativii akkaa tuuskompiilimeentitti galfamu.

#### Example

=OCT2DEC(144) 100 kenna.

## OCT2HEX

Firiin isaa lakkoofsa oktaalii galfameef lakkoofsa heeksaadeesiimaalii ta'a..

#### Syntax

OCT2HEX(Number [; Places])

Lakkoofsa lakkoofsa oktaalii dha.Gatii olaanaa bakkeewwan qadachuu danda'uu 10 dha.Biiin calqaba xiyyoo irra mallattoo biiti taati,biitiiwwan iti aanuun dhufaan gatii kennu.Lakkoofsootni neegaativii akkaa tuuskompiilimeentitti galfamu.

Bakkootni lakkoofsa bakkoota baha ta'uuti.

#### Example

=OCT2HEX(144;4) 0064 kenna.

Matadureewwan Walfakkatan

Add-in Functions

Add-in Functions, List of Analysis Functions Part One

Statistics Functions

Functions by Category